import figma from '@figma/code-connect';

figma.connect(
  'https://www.figma.com/design/Zyh9RyabNaqkjbuFWP9Aqj/%E2%9C%A8-Components--ADS2---Stable-version-?node-id=18213-20397',
  {
    imports: ["import { SidebarNavItem } from '@mozaic-ds/web-components/svelte';"],
    props: {
      expanded: figma.enum('🚫 Expanded sidebar', {
        True: true,
        False: false,
      }),
      active: figma.enum('Is selected', {
        False: false,
        True: true,
      }),
      state: figma.enum('State', {
        Default: 'default',
        Hovered: 'hovered',
      }),
    },
    example: ({ active }) => (
      <SidebarNavItem label="Section menu label" href="#" active={active}></SidebarNavItem>
    ),
  },
);
